# $Revision: 1.110 $, $Date: 2011/03/25 12:25:06 $
# TODO:
# - backport man-pages from pine.spec
# - separate package with tcl web-frontend
# - fix as-needed
# - pico shouldn't link with kerberos, should it?
%define		ver		2.00
%define		patchlevel	84
Summary:	University of Washington Alpine mail user agent
Summary(pl.UTF-8):	Klient pocztowy Alpine z Uniwersytetu w Waszyngtonie
Name:		alpine
Version:	%{ver}.%{patchlevel}
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Applications/Mail
# Main site:
#Source0:	ftp://ftp.cac.washington.edu/alpine/%{name}-%{version}.tar.gz
# Source with applied patches from http://staff.washington.edu/chappa/alpine/
Source0:	http://staff.washington.edu/chappa/alpine/patches/alpine-%{ver}/%{name}-%{ver}_%{patchlevel}.tar.gz
# Source0-md5:	70ba4281354f1ba2d341038ec0e323c7
Source1:	pico.desktop
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-index_display.patch
Patch1:		%{name}-doc.patch
Patch2:		%{name}-filter.patch
Patch3:		%{name}-fhs.patch
Patch4:		%{name}-libc-client.patch
Patch5:		%{name}-ssl.patch
Patch6:		%{name}-no_1777_warning.patch
Patch7:		%{name}-home_etc.patch
URL:		http://www.washington.edu/alpine/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	home-etc-devel
%if "%{pld_release}" != "ac"
BuildRequires:	heimdal-devel
%endif
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
# Only for web-frontend:
#BuildRequires:	tcl-devel
Suggests:	aspell
Suggests:	ca-certificates
Conflicts:	ca-certificates < 20080809-4
Provides:	pine = 6.00
Obsoletes:	pine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		alpineconfdir	%{_sysconfdir}/%{name}
%define		filterout_ld	-Wl,--as-needed

%description
Alpine -- an Alternatively Licensed Program for Internet News & Email
-- is a tool for reading, sending, and managing electronic messages.
Alpine is the successor to Pine and was developed by Computing &
Communications at the University of Washington. Though originally
designed for inexperienced email users, Alpine supports many advanced
features, and an ever-growing number of configuration and
personal-preference options.

%description -l pl.UTF-8
Alpine, czyli Alternatively Licensed Program for Internet News & Email
(alternatywnie licencjonowany program do newsów i poczty internetowej)
to narzędzie do czytania, wysyłania i zarządzania wiadomościami
elektronicznymi. Alpine jest następcą Pine'a i został napisany przez
wydział Computing & Communications (Obliczeń i komunikacji) na
Uniwersytecie w Waszyngtonie. Mimo że Alpine pierwotnie został
zaprojektowany dla niedoświadczonych użytkowników poczty, obsługuje
wiele zaawansowanych możliwości, a liczba opcji konfiguracyjnych
ciągle rośnie.

%package -n pico
Summary:	Simple text editor in the style of the Pine Composer
Summary(pl.UTF-8):	Prosty edytor tekstowy w stylu alpine
Summary(pt_BR.UTF-8):	Editor de textos para terminal simples e fácil de usar
Group:		Applications/Editors
Provides:	pico = 6.00

%description -n pico
Pico is a simple, display-oriented text editor based on the Alpine
message system composer. As with Pine, commands are displayed at the
bottom of the screen, and context-sensitive help is provided. As
characters are typed they are immediately inserted into the text.

%description -n pico -l pl.UTF-8
Pico jest prostym, zorientowanym na wyświetlanie edytorem bazującym na
alpine. Tak jak w pine komendy są wyświetlane na dole ekranu oraz
dostępna jest pomoc kontekstowa. Wpisywane znaki są natychmiast
włączane do tekstu.

%description -n pico -l pt_BR.UTF-8
Pico é um editor de texto baseado no compositor de mensagens do Alpine.
Assim como no Pine, comandos são mostrados na parte de baixo da tela,
e ajuda de acordo com o contexto está disponível.

%package -n pilot
Summary:	Simple file system browser in the style of the Alpine Composer
Summary(pl.UTF-8):	Prosta przeglądarka plików w stylu composera alpine
Summary(pt_BR.UTF-8):	Navegador de sistemas de arquivos no estilo do compositor do Alpine
Group:		Applications/Shells
Provides:	pilot = 6.00

%description -n pilot
Pilot is a simple, display-oriented file system browser based on the
Alpine message system composer. As with Alpine, commands are displayed
at the bottom of the screen, and context-sensitive help is provided.

%description -n pilot -l pl.UTF-8
Pilot jest prostą, zorientowaną na wyświetlanie przeglądarką plików w
stylu composera pine. Podobnie jak w alpine polecenia są wyświetlane
na dole ekranu oraz jest dostępna pomoc kontekstowa.

%description -n pilot -l pt_BR.UTF-8
Pilot é um navegador de sistemas de arquivos baseado no Pine. Assim
como no Pine, comandos são apresentados na parte de baixo da tela, e
ajuda de acordo com o contexto está disponível.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
rm -f libtool missing
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-quotas \
	--without-tcl \
	--with-smtp-msa=/usr/lib/sendmail \
	--with-simple-spellcheck=aspell \
	--with-system-pinerc=%{_sysconfdir}/%{name}/%{name}.conf \
	--with-system-fixed-pinerc=%{_sysconfdir}/%{name}/%{name}.conf.fixed \
	--with-krb5-dir=%{_prefix} \
	--with-ldap-dir=%{_prefix} \
	--with-system-mail-directory=/var/mail \
	--with-c-client-target=slx \
%if "%{pld_release}" == "ti"
	--with-ssl-dir=/var/lib/openssl/certs \
	--with-ssl-certs-dir=/var/lib/openssl/certs \
%else
	--with-ssl-dir=/etc/openssl/certs \
	--with-ssl-certs-dir=/etc/certs \
%endif
	--with-passfile=.pine.pwd

%{__make} \
	GCCOPTLEVEL="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -s alpine $RPM_BUILD_ROOT%{_bindir}/pine

$RPM_BUILD_ROOT%{_bindir}/alpine -conf > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alpine.conf
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alpine.conf.fixed
#
# Alpine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for alpine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (%{_sysconfdir}/%{name}/alpine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of %{_sysconfdir}/%{name}/alpine.conf

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/tech-notes.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/alpine.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/alpine.conf.fixed
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/pine
%attr(755,root,root) %{_bindir}/rpload
%attr(755,root,root) %{_bindir}/rpdump
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files -n pico
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pico
%{_desktopdir}/pico.desktop
%{_mandir}/man1/pico*

%files -n pilot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pilot
%{_mandir}/man1/pilot*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alpine.spec,v $
Revision 1.110  2011/03/25 12:25:06  blues
- patchlevel 84 - more bugfixes

Revision 1.109  2010/11/08 18:36:19  shadzik
- rel 2

Revision 1.108  2010/10/25 13:32:16  blues
- patchlevel 78 - don't alocate memory twice in composer (memleak)

Revision 1.107  2010/10/20 14:30:56  blues
- patchlevel 77 - fix bug in threading algorithm and fix crash when the
  screen is resized

Revision 1.106  2010/08/06 13:11:37  blues
- patchlevel 72 - Do not reopen a folder that is meant to be closed

Revision 1.105  2010/08/02 16:05:56  blues
- patchlevel 71 - Parse environment variables correctly

Revision 1.104  2010/07/22 13:30:07  blues
- patchlevel 69 - Fix the type of a .docx document

Revision 1.103  2010/06/28 08:13:26  blues
- patchlevel 67 - fix threads with empty subject

Revision 1.102  2010/05/25 09:10:14  blues
- patchlevel 65 - handle some situation of spaces in address

Revision 1.101  2010/05/04 08:30:57  blues
- patchlevel 57: fix ignore the day of the week on index tokens like
  PREFDATE, or PREFDATETIME

Revision 1.100  2010/04/12 12:24:15  baggins
- rel 5

Revision 1.99  2010/04/11 13:50:41  uzsolt
- rel 4 (openssl update)

Revision 1.98  2009/12/21 18:10:42  glen
- pico links with kkrb, bff!?

Revision 1.97  2009/12/14 12:04:59  baggins
- rel 3

Revision 1.96  2009/12/09 13:47:29  baggins
- rel 2

Revision 1.95  2009/12/09 12:55:23  sparky
- BR: libtool

Revision 1.94  2009/12/09 09:01:28  blues
- patchlevel 53 - add support for the nametemplate token in a mailcap file.

Revision 1.93  2009/11/09 11:19:36  blues
- no more TODO

Revision 1.92  2009/08/13 07:30:58  blues
- reverse breakage

Revision 1.91  2009/08/12 20:12:05  ankry
- x86_64 fix: sendmail link always in /usr/lib; rel. 2

Revision 1.90  2009/08/12 08:13:36  blues
- patchlevel 50 - multiline URLs

Revision 1.89  2009/08/03 07:51:49  blues
- patchlevel 44

Revision 1.88  2009/07/16 08:13:04  blues
- patchlevel 41 - more bugfixes

Revision 1.87  2009/07/13 08:55:06  blues
- patchlevel 37 - bugfixes

Revision 1.86  2009/07/02 22:11:05  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.85  2009/06/29 08:49:13  blues
- patchlevel 34 - color folder feature

Revision 1.84  2009/06/08 10:51:48  blues
- patchlevel 29 - fix crash with some characters in headers

Revision 1.83  2009/02/18 14:36:53  blues
- patchlevel 25

Revision 1.82  2009/02/16 10:21:20  blues
- patchlevel 21 - fixes crash in some situation

Revision 1.81  2009/02/05 11:09:52  blues
- patchlevel 20

Revision 1.80  2008/12/22 14:39:00  blues
- patchlevel 18 - base64 fix

Revision 1.79  2008/12/11 23:03:32  hawk
- proper paths to openssl/certs for Titanium, fixed openssl path for others
- release 2

Revision 1.78  2008/12/09 19:05:04  glen
- ldap ver bump was only due bulders limitation

Revision 1.77  2008/12/09 16:41:53  blues
- allow build alpine on AC without changing anything

Revision 1.76  2008/12/03 11:55:25  blues
- patchlevel 17: added -noutf8 uption for pipe

Revision 1.75  2008/11/19 15:43:12  blues
- patchlevel 16 - fixed certificates path

Revision 1.74  2008/11/13 20:56:36  qboosh
- CVE refs too

Revision 1.73  2008/11/11 19:51:57  blues
- BSA-081103

Revision 1.72  2008/11/03 17:19:33  blues
- patchlevel 13

Revision 1.71  2008/11/02 00:37:35  arekm
- release 2

Revision 1.70  2008/11/02 00:33:26  arekm
- disable debug by default

Revision 1.69  2008/11/02 00:16:13  arekm
- up to plevel 11

Revision 1.68  2008/10/15 11:57:40  blues
- patchlevel 10 - fix pico crash when no codeset set.

Revision 1.67  2008/10/08 14:18:39  blues
- patchlevel 9 - crash fixed

Revision 1.66  2008/09/30 11:33:12  blues
- patchlevel 7 - bugfixes

Revision 1.65  2008/08/28 14:36:35  blues
- patchlevel 4 - roles are applied again

Revision 1.64  2008/08/27 12:50:17  blues
- 2.00 patchlevel 3 [fixes: BSA-081103 aka CVE-2008-5005 and CVE-2008-5006]

Revision 1.63  2008/08/18 11:28:55  blues
- 1.10_12 - opportunity to reenter password.

Revision 1.62  2008/08/05 09:08:10  blues
- patchlevel 10

Revision 1.61  2008-05-20 13:49:08  blues
- rel.2 (rel.1 for AC)

Revision 1.60  2008-05-20 13:46:28  blues
- patchlevel 9 - bugfix in maildir support

Revision 1.59  2008-04-16 12:46:13  baggins
- rel 2

Revision 1.58  2008-04-16 12:45:49  baggins
- removed post, it already fucked up my servers twice

Revision 1.57  2008-03-26 20:08:36  blues
- patchlevel 7

Revision 1.56  2008-03-25 21:01:45  blues
- 1.10 patchlevel 5 - removed outdated quote and segfix patches (after
  ages of maintaining)

Revision 1.55  2008-02-09 21:00:46  qboosh
- unified License format

Revision 1.54  2008-02-06 10:18:59  glen
- adapter
- drop alpineconfdir macro (pointless)
- preserve /etc/alpine/alpine.conf permission in %post

Revision 1.53  2008-02-06 09:20:36  blues
- rel.2

Revision 1.52  2008-02-06 09:18:00  blues
- patchlevel 12

Revision 1.51  2008-01-17 14:26:49  blues
- rel.2

Revision 1.50  2008-01-17 14:20:39  blues
- patchlevel 10

Revision 1.49  2008-01-02 10:15:46  blues
- rel.2

Revision 1.48  2008-01-02 09:56:00  blues
- patchlevel 6 - fix pico crash

Revision 1.47  2007-12-24 08:45:17  blues
- patchlevel 4

Revision 1.46  2007-12-21 22:59:52  blues
- rel.3 - fixhome patch is not needed now; it provides pine-5.0

Revision 1.45  2007-12-21 11:11:23  blues
- do automatic upgrade of default config

Revision 1.44  2007-12-21 10:14:05  blues
- rel.2 (rel.1 for AC)

Revision 1.43  2007-12-21 10:08:54  blues
- 1.00 patchlevel 3, fixed doc patch

Revision 1.42  2007-12-20 08:22:03  blues
- patchlevel 10

Revision 1.41  2007-12-19 15:09:31  blues
- rel.2 (rel.1 for AC)

Revision 1.40  2007-12-19 15:01:08  blues
- patchlevel 9 (infinite loop bug fixed)

Revision 1.39  2007-12-12 21:31:27  qboosh
- typos

Revision 1.38  2007-12-10 09:45:44  blues
- tabs

Revision 1.37  2007-12-10 09:39:51  blues
- it provides pine and pico 4.99

Revision 1.36  2007-12-07 10:57:39  blues
- rel.2 (rel.1 do AC

Revision 1.35  2007-12-07 10:54:51  blues
- 0.999999 (6x9), patchlevel 3

Revision 1.34  2007-12-03 14:34:17  hawk
- force system type slx (secure linux), otherwise lnp (linux pluggable
  authentication modules) is used and it overrides system mail dir with
  /var/spool/mail
- use PLD location for SSL certficates
- release 3

Revision 1.33  2007-11-28 10:48:49  blues
- rel.2

Revision 1.32  2007-11-26 09:11:04  blues
- patchlevel 13 - fixed maildir crash

Revision 1.31  2007-11-19 14:44:02  baggins
- rel 2
- spellcheck will now work

Revision 1.30  2007-11-19 13:10:05  baggins
- patchlevel 8
- user proper spellcheck opt for configure
- S: aspell

Revision 1.29  2007-11-16 10:07:46  blues
- patchlevel 7

Revision 1.28  2007-11-11 21:51:52  blues
- in fact it provides new version of pine

Revision 1.27  2007-11-09 12:39:55  blues
- rel.1

Revision 1.26  2007-11-09 12:24:16  blues
- cleanups in patches

Revision 1.25  2007-11-09 12:17:22  blues
- 0.99999 patchlevel 4, NFY

Revision 1.24  2007-11-05 15:14:41  baggins
- typo

Revision 1.23  2007/11/05 14:58:42  baggins
- BR: home_etc-devel

Revision 1.22  2007/11/05 14:57:06  baggins
- provide default alpine.conf*

Revision 1.21  2007/11/05 14:51:19  baggins
- obsoletes pine
- provide /usr/bin/pine (symlink to alpine)
- chappa patch .81
- reviewed and ported patches from pine

Revision 1.20  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.19  2007/10/21 16:00:56  blues
- rel.1 - disabled as-needed

Revision 1.18  2007/10/21 14:06:14  blues
- patchlevel 79 - regenerate libtool

Revision 1.17  2007/10/08 11:48:13  blues
- patchlevel 59 - fixes memleak

Revision 1.16  2007/09/20 11:53:18  blues
- patchlevel 42 (fixes some more crashes possible); disabled web-frontend
  build as it required tcl. Maybe in future when someone would like to play
  with it...?

Revision 1.15  2007/09/18 17:32:34  blues
- patchlevel 38 - fixes crashes with some messages

Revision 1.14  2007/09/17 12:13:57  blues
- patchlevel 34

Revision 1.13  2007/09/09 09:42:25  blues
- patchlevel 21 - more maildir problems fixed

Revision 1.12  2007/09/08 09:09:36  blues
- patchlevel 20 - fixes problem with new mails in incoming folders as
  maildir infinite loop.

Revision 1.11  2007/09/07 15:03:23  qboosh
- spacing, complete URL

Revision 1.10  2007/09/07 13:04:27  blues
- rel.2 - added index_display patch

Revision 1.9  2007/09/07 09:47:07  blues
- added thread_end patch

Revision 1.8  2007/09/07 08:47:30  blues
- 0.9999 patchlevel 18, added desktop and icon from pine

Revision 1.7  2007/09/06 12:34:11  blues
- 0.9999.9 (patchlevel 9) - new naming scheme.

Revision 1.6  2007/09/04 21:42:05  blues
- unoficial 0.9999 release (with applied chappa's all.patch). Works nice.

Revision 1.5  2007/09/03 12:29:25  blues
- regenerate ac/am

Revision 1.4  2007/09/03 12:15:52  blues
- chappa's patches added - starts to be usable now

Revision 1.3  2007/07/16 14:42:06  blues
- separated pico and pilot into subpackages (Epoch 1 to allow upgrade from
  pine); use old desktop; more TODO (i.e.: maildir support)

Revision 1.2  2007/07/14 19:22:53  qboosh
- pl

Revision 1.1  2007/07/08 10:28:00  arekm
- new replacement for Pine email client
